package ei.game.scene.map;

import ei.engine.math.Vector2f;
import ei.engine.math.Vector2i;
import ei.engine.scene.Entity;
import ei.engine.scene.Sprite;
import ei.game.player.Player;

public class Stone extends MapEntity{
	private static final String[] img = {
		"data/map/stone/stone0000.png",
		"data/map/stone/stone0001.png",
		"data/map/stone/stone0002.png",
		"data/map/stone/stone0003.png",
		"data/map/redstone/redstone0000.png",
		"data/map/redstone/redstone0001.png",
		"data/map/redstone/redstone0002.png",
		"data/map/redstone/redstone0003.png"
	};
	
	private Sprite stone;

	public Stone(Vector2i pos, Player p) {
		super(500, pos, p);
	}
	
	@Override
	public void init() {}
	
	public void initGraphics(){
		stone = new Sprite("Stone",img[(int)(Math.random()*img.length)]);
		stone.setSize(new Vector2f(40,40));
		getNode().add(stone);	
	}

	@Override
	public Entity getSprite() {
		return stone;
	}

	@Override
	public int getMaintenanceCost() {
		return 0;
	}	
	
}
